#ifndef ATTINFOQUERY_H
#define ATTINFOQUERY_H

#include <DbQueryInterface>
#include "attinfo.h"

class AttInfoQuery  : public DbQueryInterface
{
    Q_OBJECT
public:
    AttInfoQuery(QObject *parent = NULL);

    virtual void notify(const QSqlQuery&, const int eventId);

    virtual void execute(int id = -1);

    virtual QString query(int id) const;

    void setSortBySectionEnabled(bool);

    bool sortBySectionEnabled() const { return mSortBySectionEnabled; }

signals:
    void listReady(const QList<AttInfo>&);

private:
    bool mSortBySectionEnabled;
};

#endif // ATTINFOQUERY_H
