#ifndef ATTVALUELISTQUERY_H
#define ATTVALUELISTQUERY_H

#include <DbQueryInterface>
#include "attdata.h"

class AttValueQuery : public DbQueryInterface
{
    Q_OBJECT
public:

    explicit AttValueQuery(QObject *parent = 0);

    virtual void notify(const QSqlQuery&, const int eventId);

    virtual void execute(int id = -1);

    virtual QString query(int id) const;

    void setSnapId(int id) { m_snapId = id; }

signals:
    void listReady(const QList<AttData>&, AttInfo::Type type);
signals:

public slots:

private:
    int m_snapId;

};

#endif // ATTVALUELISTQUERY_H
