#ifndef CTXLISTQUERY_H
#define CTXLISTQUERY_H

#include <QList>
#include "contextdata.h"
#include <DbQueryInterface>

class CtxListQuery : public DbQueryInterface
{
    Q_OBJECT
public:
    CtxListQuery(QObject *parent = NULL);

    virtual void notify(const QSqlQuery&, const int eventId);

    virtual void execute(int id = -1);

    virtual QString query(int id) const;

signals:
    void listReady(const QList<ContextData>&);
};

#endif // CTXLISTQUERY_H
