#ifndef SELECTIONTYPEQUERY_H
#define SELECTIONTYPEQUERY_H

#include <DbQueryInterface>
#include <QStringList>
#include <QString>

class SelectionTypeQuery : public DbQueryInterface
{
    Q_OBJECT
public:
    explicit SelectionTypeQuery(QObject *parent = 0);

    virtual void notify(const QSqlQuery&, const int eventId);

    virtual void execute(int id = -1);

    virtual QString query(int id) const;

signals:
    void selectionTypesAvailable(int contextId, const QStringList &types);

public slots:

};

#endif // SELECTIONTYPEQUERY_H
