#ifndef SNAPLISTQUERY_H
#define SNAPLISTQUERY_H

#include <DbQueryInterface>
#include "snapdata.h"

class SnapListQuery : public DbQueryInterface
{
    Q_OBJECT
public:
    SnapListQuery(QObject *parent = NULL);

    virtual void notify(const QSqlQuery&, const int eventId);

    virtual void execute(int id = -1);

    virtual QString query(int id) const;

private:

signals:
    void listReady(const QList<SnapData>&);
};

#endif // SNAPLISTQUERY_H
