#ifndef DIFFITEMREADER_H
#define DIFFITEMREADER_H

#include <QObject>
#include <com_proxy_reader.h>

class DiffItemReader : public QObject, public QTangoComProxyReader
{
    Q_OBJECT
public:
    explicit DiffItemReader(QObject *parent, int attId);

    QString value() const { return m_value; }

signals:
    void newData(int attId, const QString& value, int attrQuality, const QString& message);

public slots:

    virtual void refresh(const TVariant &);

    void unsetSource();

protected slots:
    void connectionError(const QString&);

private:

    QString m_value;

    int m_attId;

};

#endif // DIFFITEMREADER_H
