#ifndef INVALIDITEMMANAGER_H
#define INVALIDITEMMANAGER_H

class QAbstractItemView;
class QPaintEvent;
class AttributeDataTreeView;

class InvalidItemManager
{
public:
    InvalidItemManager(AttributeDataTreeView *view);

    bool findInvalidItems();

    int nullItems() const { return m_nullCnt; }
    int invalidWriteModeItems() const { return m_invalidWritableCnt; }

private:
    unsigned m_nullCnt, m_invalidWritableCnt;

    AttributeDataTreeView *m_view;

};

#endif // INVALIDITEMNOTIFIER_H
