#ifndef LOGGER_H
#define LOGGER_H

#include <QString>

class Logger
{
public:
    Logger(const QString& logDir);

    void addTangoReadError(const QString& source, const QString& error, const int id);

    void addTangoWriteError(const QString& source, const QString& error, const int id);

    void addDbReadError();

    void addDbWriteError();

private:
    QString mLogDir;
};

#endif // LOGGER_H
