#include "variantfromstring.h"
#include <QStringList>

VariantFromString::VariantFromString(const QString& value, Tango::AttrDataFormat fmt)
{
    if(fmt == Tango::SPECTRUM)
    {
        QString setPt = value;
        QStringList values;
        if(setPt.contains(","))
            values = setPt.split(',');
        else /* one single value */
            values << setPt;

        m_value = QVariant(values);
    }
    else {
        // be careful with exp number format
        m_value = QVariant(value);
    }
}
