#ifndef SELECTIONDIALOG_H
#define SELECTIONDIALOG_H

#include <QDialog>
#include "../ui_selectionDialog.h"

class SelectionDialog : public QDialog
{
    Q_OBJECT
public:
    explicit SelectionDialog(QWidget *parent, int contextId);

    virtual ~SelectionDialog();


public slots:
    void dataLoadedFromDb();

    void addDevice(const QString& section, const QString& type, const QString& source);

    void addTypes(const QStringList& typeList);


signals:
    void selectionChanged(const QStringList& deviceList);

public slots:

private slots:
    void deviceCellChanged(const QStringList&);

private:
    Ui::SelectionDialog ui;

    int m_contextId;

};

#endif // SELECTION_H
