#ifndef SNAPINFOTREEVIEWSORTER_H
#define SNAPINFOTREEVIEWSORTER_H

#include "attributedatatreeview.h"

class RowData
{
public:
    RowData(QAbstractItemModel* model, int row);

    QString section;
    QStringList displayData, toolTipData, userData;

};

class SnapInfoTreeViewSorter
{
public:
    SnapInfoTreeViewSorter(AttributeDataTreeView *view, bool bySection, const QStringList &sections);

private:
    void mSort(const QStringList& orderedStringList, QList<RowData *>& rows, bool bySection);
};

#endif // SNAPINFOTREEVIEWSORTER_H
