#include "snapshotlistcontainer.h"
#include "ui_snapshotlistcontainer.h"
#include <QtDebug>

SnapshotListContainer::SnapshotListContainer(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::SnapshotListContainer)
{
    printf("\e[1;32m SETTING UP SNAPLISTCONTAINER\e[0m\n\n");
    qDebug() << __FUNCTION__ ;
    ui->setupUi(this);
}

SnapshotListContainer::~SnapshotListContainer()
{
    qDebug() << __FUNCTION__ ;
    delete ui;
}

SnapshotView *SnapshotListContainer::snapshotView() const { return ui->snapListView; }

QPushButton *SnapshotListContainer::buttonSave() const { return ui->pbSave; }

QLineEdit *SnapshotListContainer::lineEditSaveComment() const { return ui->leSaveComment; }

QPushButton *SnapshotListContainer::buttonDiff() const { return ui->pbDiff; }

