#ifndef NEWXDATAEVENT_H
#define NEWXDATAEVENT_H

#include <QEvent>

#include <QStringList>
#include <QList>
#include <attinfo.h>
#include <attdata.h>

class NewXDataEvent : public QEvent
{
public:
    NewXDataEvent(const QList<AttData> & data, AttInfo::Type t);
    ~NewXDataEvent();
    QList<AttData>  data;
    AttInfo::Type type;
};


class XErrorEvent : public QEvent
{
public:
    XErrorEvent(const QStringList& messages);
    ~XErrorEvent();
    QStringList errors;
};

class ProgressEvent : public QEvent
{
public:
    ProgressEvent(int ste, int tota);

    int step, total;
};

#endif // NEWXDATAEVENT_H
