#ifndef GROUPBOXBACKINTIME_H
#define GROUPBOXBACKINTIME_H

#include <QGroupBox>

class QDateTime;
class QPushButton;
class QDateTimeEdit;

namespace Ui {
class GroupBoxBackInTime;
}

class GroupBoxBackInTime : public QGroupBox
{
    Q_OBJECT

public:
    explicit GroupBoxBackInTime(QWidget *parent = 0);
    ~GroupBoxBackInTime();

    QDateTimeEdit *dateTimeEdit() const;
    QPushButton  *buttonFetchData() const;
    QPushButton *buttonSelectFromDiary() const;

public slots:
    void setDateTime(const QDateTime &dt);

private slots:

signals:
    void selectFromDiaryClicked();

private:
    Ui::GroupBoxBackInTime *ui;
};

#endif // GROUPBOXBACKINTIME_H
