#ifndef SNAPINFOVIEWDBHELPER_H
#define SNAPINFOVIEWDBHELPER_H

#include <QObject>
#include <QList>
#include "attdata.h"

class AttributeDataTreeView;
class Extractor;

class TimeMachineInfoViewDbHelper : public QObject
{
    Q_OBJECT
public:
    explicit TimeMachineInfoViewDbHelper(AttributeDataTreeView *sitw, Extractor* extractor);

signals:
    void attValueListReady(const QList<AttData>&, AttInfo::Type);

public slots:
    void getData();

private:
    AttributeDataTreeView *m_treeView;
    Extractor *m_extractor;

};

#endif // SNAPINFOVIEWDBHELPER_H
