#-------------------------------------------------
#
# Project created by QtCreator 2011-04-18T10:49:52
#
#-------------------------------------------------


QT       += core gui sql xml

# CONFIG += debug

TARGET = bin/saverestore
TEMPLATE = app

include(/usr/local/qtango/include/qtango6/qtango.pri)

DEFINES += QT_NO_DEBUG_OUTPUT

unix:INCLUDEPATH += src/database src/modelview src/timemachine \
    /usr/local/include/thdb \
    /usr/local/hdbextractor-1.0.0/include


unix:LIBS += -L/runtime/lib -L/usr/local/lib/mysql -L /usr/local/hdbextractor-1.0.0/lib -L/usr/local/thdb/lib -L/usr/local/thdb/lib -lTHdb$$ -lhdbextractor++ -lmysqlclient

DOCDIR = $${SHAREDIR}/saverestore/doc

SOURCES += src/main.cpp\
        src/saverestore.cpp \
        src/modelview/itemmodel.cpp \
        src/modelview/treeitem.cpp \
        src/database/ctxlistquery.cpp \
        src/database/snapdb.cpp \
    src/database/snaplistquery.cpp \
    src/database/snapdata.cpp \
    src/database/contextdata.cpp \
    src/contextview.cpp \
    src/snapshotview.cpp \
    src/attributedatatreeview.cpp \
    src/database/attinfo.cpp \
    src/database/attinfoquery.cpp \
    src/database/attvaluequery.cpp \
    src/database/attdata.cpp \
    src/save/collector.cpp \
    src/database/snapinsertquery.cpp \
    src/save/reader.cpp \
    src/save/save.cpp \
    src/database/addsnapshotquery.cpp \
    src/modelview/errorview.cpp \
    src/progressbar.cpp \
    src/led.cpp \
    src/restore/restore.cpp \
    src/restore/writer.cpp \
    src/uihelper.cpp \
    src/restore/snapselectionmanager.cpp \
    src/contextviewsettings.cpp \
    src/diff/diffdialog.cpp \
    src/diff/difftreeview.cpp \
    src/diff/tlabelitemdelegate.cpp \
    src/diff/diffitemreader.cpp \
    src/utils/helperapplication.cpp \
    src/selection/selectiondialog.cpp \
    src/selection/tableitemdelegate.cpp \
    src/selection/selectiontable.cpp \
    src/selection/selectionsettings.cpp \
    src/database/selectiontypequery.cpp \
    src/selection/selection.cpp \
    src/database/deviceselectionquery.cpp \
    src/settings/settingsdialog.cpp \
    src/settings/settings.cpp \
    src/snapinfoviewdbhelper.cpp \
    src/restore/variantfromstring.cpp \
    src/modelview/treeviewfilter.cpp \
    src/about.cpp \
    src/invaliditemmanager.cpp \
    src/snapinfotreeviewsorter.cpp \
    src/database/sectionorderquery.cpp \
    src/log/logger.cpp \
    src/snapshotlistcontainer.cpp \
    src/timemachine/groupboxbackintime.cpp \
    src/timemachine/extraction/extractor.cpp \
    src/timemachine/extraction/extractorprivate.cpp \
    src/timemachine/extraction/xevents.cpp \
    src/timemachine/timemachineattributedatatreeview.cpp \
    src/timemachine/selectfromdiarydialog.cpp


HEADERS  += src/saverestore.h \
        src/modelview/itemmodel.h \
        src/modelview/treeitem.h \
        src/database/ctxlistquery.h \
        src/database/snapdb.h \
    src/database/snaplistquery.h \
    src/database/snapdata.h \
    src/database/contextdata.h \
    src/contextview.h \
    src/snapshotview.h \
    src/attributedatatreeview.h \
    src/database/attinfo.h \
    src/database/attinfoquery.h \
    src/database/attvaluequery.h \
    src/database/attdata.h \
    src/save/collector.h \
    src/database/snapinsertquery.h \
    src/save/reader.h \
    src/save/save.h \
    src/database/addsnapshotquery.h \
    src/modelview/errorview.h \
    src/progressbar.h \
    src/led.h \
    src/restore/restore.h \
    src/restore/writer.h \
    src/uihelper.h \
    src/restore/snapselectionmanager.h \
    src/contextviewsettings.h \
    src/diff/diffdialog.h \
    src/diff/difftreeview.h \
    src/diff/tlabelitemdelegate.h \
    src/diff/diffitemreader.h \
    src/utils/helperapplication.h \
    src/selection/selectiondialog.h \
    src/selection/tableitemdelegate.h \
    src/selection/selectiontable.h \
    src/selection/selectionsettings.h \
    src/database/selectiontypequery.h \
    src/selection/selection.h \
    src/database/deviceselectionquery.h \
    src/settings/settingsdialog.h \
    src/settings/settings.h \
    src/snapinfoviewdbhelper.h \
    src/restore/variantfromstring.h \
    src/modelview/treeviewfilter.h \
    src/about.h \
    src/invaliditemmanager.h \
    src/snapinfotreeviewsorter.h \
    src/database/sectionorderquery.h \
    src/log/logger.h \
    src/snapshotlistcontainer.h \
    src/timemachine/groupboxbackintime.h \
    src/timemachine/extraction/extractor.h \
    src/timemachine/extraction/extractorprivate.h \
    src/timemachine/extraction/xevents.h \
    src/timemachine/timemachineattributedatatreeview.h \
    src/timemachine/selectfromdiarydialog.h

FORMS    += src/saverestore.ui \
            src/diff/diffDialog.ui \
            src/selection/selectionDialog.ui \
            src/settings/settingsdialog.ui \
    src/snapshotlistcontainer.ui \
    src/timemachine/groupboxbackintime.ui \
    src/timemachine/diary.ui

doc.files = doc/saverestore2.pdf
doc.path = $${DOCDIR}

bin.files = bin/saverestore
bin.path = $${INSTALL_ROOT}/fermi/panels/bin

DEFINES += DOCDIR=\"\\\"$${DOCDIR}\\\"\"

# INSTALLS += doc bin




