DELETE FROM devices;
DELETE from selection;
DELETE from type_order;
DELETE from section_order;

INSERT INTO devices VALUES 
('inj/power_supply/psch_inj.01', 'INJ', 'CH'),
('inj/power_supply/psch_inj.02', 'INJ', 'CH'),
('inj/power_supply/pscv_inj.01', 'INJ', 'CV'),
('inj/power_supply/pscv_inj.02', 'INJ', 'CV'),
('inj/power_supply/pssol_inj.02', 'INJ', 'SOL'),
('inj/power_supply/pssol_inj.03', 'INJ', 'SOL'),
('spinj/power_supply/psb_spinj.01', 'SPINJ', 'B'),
('spinj/power_supply/psq_spinj.01', 'SPINJ', 'Q'),
('spinj/power_supply/pstrmcq_spinj.01', 'SPINJ', 'TRMCQ'),
('spinj/power_supply/pstrmcq_spinj.02', 'SPINJ', 'TRMCQ'),
('l00/power_supply/psch_l00.01', 'L00', 'CH'),
('l00/power_supply/psch_l00.02', 'L00', 'CH'),
('l00/power_supply/psch_l00.03', 'L00', 'CH'),
('l00/power_supply/psch_l00.04', 'L00', 'CH'),
('l00/power_supply/psch_l00.05', 'L00', 'CH'),
('l00/power_supply/psch_l00.06', 'L00', 'CH'),
('l00/power_supply/pscv_l00.01', 'L00', 'CV'),
('l00/power_supply/pscv_l00.02', 'L00', 'CV'),
('l00/power_supply/pscv_l00.03', 'L00', 'CV'),
('l00/power_supply/pscv_l00.04', 'L00', 'CV'),
('l00/power_supply/pscv_l00.05', 'L00', 'CV'),
('l00/power_supply/pscv_l00.06', 'L00', 'CV'),
('l00/power_supply/psq_l00.01', 'L00', 'Q'),
('l00/power_supply/psq_l00.02', 'L00', 'Q'),
('lh/insertion_device/id_lh.01/Gap', 'LH', 'ID'),
('lh/power_supply/pscid_lh.01', 'LH', 'PSCID'),
('lh/power_supply/pscid_lh.02', 'LH', 'PSCID'),
('lh/power_supply/pscid_lh.03', 'LH', 'PSCID'),
('lh/power_supply/pscid_lh.04', 'LH', 'PSCID'),
('lh/power_supply/psb_lh.01', 'LH', 'B'),
('lh/power_supply/psch_lh.01', 'LH', 'CH'),
('lh/power_supply/psch_lh.02', 'LH', 'CH'),
('lh/power_supply/psch_lh.03', 'LH', 'CH'),
('lh/power_supply/psch_lh.04', 'LH', 'CH'),
('lh/power_supply/pscv_lh.01', 'LH', 'CV'),
('lh/power_supply/pscv_lh.02', 'LH', 'CV'),
('lh/power_supply/pscv_lh.03', 'LH', 'CV'),
('lh/power_supply/pscv_lh.04', 'LH', 'CV'),
('lh/power_supply/psq_lh.01', 'LH', 'Q'),
('lh/power_supply/psq_lh.02', 'LH', 'Q'),
('lh/power_supply/psq_lh.03', 'LH', 'Q'),
('lh/power_supply/psq_lh.04', 'LH', 'Q'),
('lh/power_supply/psq_lh.05', 'LH', 'Q'),
('lh/power_supply/psq_lh.06', 'LH', 'Q'),
('lh/power_supply/psq_lh.07', 'LH', 'Q'),
('splh/power_supply/psb_splh.01', 'SPLH', 'B'),
('splh/power_supply/pstrmcb_splh.01', 'SPLH', 'TRMCB'),
('l01/power_supply/psch_l01.01', 'L01', 'CH'),
('l01/power_supply/psch_l01.02', 'L01', 'CH'),
('l01/power_supply/psch_l01.03', 'L01', 'CH'),
('l01/power_supply/psch_l01.04', 'L01', 'CH'),
('l01/power_supply/pscv_l01.01', 'L01', 'CH'),
('l01/power_supply/pscv_l01.02', 'L01', 'CH'),
('l01/power_supply/pscv_l01.03', 'L01', 'CH'),
('l01/power_supply/pscv_l01.04', 'L01', 'CH'),
('l01/power_supply/psq_l01.01', 'L01', 'Q'),
('l01/power_supply/psq_l01.02', 'L01', 'Q'),
('l01/power_supply/psq_l01.03', 'L01', 'Q'),
('l01/power_supply/psq_l01.04', 'L01', 'Q'),
('bc01/power_supply/psb_bc01.01', 'BC01', 'B'),
('bc01/power_supply/pstrmcb_bc01.01', 'BC01', 'TRMCB'),
('bc01/power_supply/pstrmcb_bc01.02', 'BC01', 'TRMCB'),
('bc01/power_supply/pstrmcb_bc01.03', 'BC01', 'TRMCB'),
('bc01/power_supply/pstrmcb_bc01.04', 'BC01', 'TRMCB'),
('bc01/power_supply/psch_bc01.01', 'BC01', 'CH'),
('bc01/power_supply/psch_bc01.02', 'BC01', 'CH'),
('bc01/power_supply/psch_bc01.03', 'BC01', 'CH'),
('bc01/power_supply/psch_bc01.04', 'BC01', 'CH'),
('bc01/power_supply/psch_bc01.05', 'BC01', 'CH'),
('bc01/power_supply/psch_bc01.06', 'BC01', 'CH'),
('bc01/power_supply/pscv_bc01.01', 'BC01', 'CV'),
('bc01/power_supply/pscv_bc01.02', 'BC01', 'CV'),
('bc01/power_supply/pscv_bc01.03', 'BC01', 'CV'),
('bc01/power_supply/pscv_bc01.04', 'BC01', 'CV'),
('bc01/power_supply/pscv_bc01.05', 'BC01', 'CV'),
('bc01/power_supply/pscv_bc01.06', 'BC01', 'CV'),
('bc01/power_supply/psq_bc01.01', 'BC01', 'Q'),
('bc01/power_supply/psq_bc01.02', 'BC01', 'Q'),
('bc01/power_supply/psq_bc01.03', 'BC01', 'Q'),
('bc01/power_supply/psq_bc01.04', 'BC01', 'Q'),
('bc01/power_supply/psq_bc01.05', 'BC01', 'Q'),
('bc01/power_supply/psq_bc01.06', 'BC01', 'Q'),
('bc01/power_supply/psq_bc01.07', 'BC01', 'Q'),
('bc01/power_supply/psq_bc01.08', 'BC01', 'Q'),
('bc01/power_supply/psq_bc01.09', 'BC01', 'Q'),
('bc01/power_supply/psq_bc01.10', 'BC01', 'Q'),
('bc01/power_supply/psq_bc01.11', 'BC01', 'Q'),
('spbc01/power_supply/psb_spbc01.01', 'SPBC01', 'B'),
('spbc01/power_supply/pstrmcb_spbc01.01', 'SPBC01', 'TRMCB'),
('spbc01/power_supply/psq_spbc01.01', 'SPBC01', 'Q'),
('spbc01/power_supply/psq_spbc01.02', 'SPBC01', 'Q'),
('l02/power_supply/psch_l02.01', 'L02', 'CH'),
('l02/power_supply/psch_l02.02', 'L02', 'CH'),
('l02/power_supply/psch_l02.03', 'L02', 'CH'),
('l02/power_supply/psch_l02.04', 'L02', 'CH'),
('l02/power_supply/pscv_l02.01', 'L02', 'CV'),
('l02/power_supply/pscv_l02.02', 'L02', 'CV'),
('l02/power_supply/pscv_l02.03', 'L02', 'CV'),
('l02/power_supply/pscv_l02.04', 'L02', 'CV'),
('l02/power_supply/psq_l02.01', 'L02', 'Q'),
('l02/power_supply/psq_l02.02', 'L02', 'Q'),
('l02/power_supply/psq_l02.03', 'L02', 'Q'),
('l02/power_supply/psq_l02.04', 'L02', 'Q'),
('l03/power_supply/psch_l03.01', 'L03', 'CH'),
('l03/power_supply/psch_l03.02', 'L03', 'CH'),
('l03/power_supply/pscv_l03.01', 'L03', 'CV'),
('l03/power_supply/pscv_l03.02', 'L03', 'CV'),
('l03/power_supply/psq_l03.01', 'L03', 'Q'),
('l03/power_supply/psq_l03.02', 'L03', 'Q'),
('bc02/power_supply/psb_bc02.01', 'BC02', 'B'),
('bc02/power_supply/pstrmcb_bc02.01', 'BC02', 'TRMCB'),
('bc02/power_supply/pstrmcb_bc02.02', 'BC02', 'TRMCB'),
('bc02/power_supply/pstrmcb_bc02.03', 'BC02', 'TRMCB'),
('bc02/power_supply/pstrmcb_bc02.04', 'BC02', 'TRMCB'),
('bc02/power_supply/psch_bc02.01', 'BC02', 'CH'),
('bc02/power_supply/pscv_bc02.01', 'BC02', 'CV'),
('bc02/power_supply/psq_bc02.01', 'BC02', 'Q'),
('bc02/power_supply/psq_bc02.02', 'BC02', 'Q'),
('bc02/power_supply/psq_bc02.03', 'BC02', 'Q'),
('l04/power_supply/psch_l04.01', 'L04', 'CH'),
('l04/power_supply/psch_l04.02', 'L04', 'CH'),
('l04/power_supply/psch_l04.03', 'L04', 'CH'),
('l04/power_supply/psch_l04.04', 'L04', 'CH'),
('l04/power_supply/psch_l04.05', 'L04', 'CH'),
('l04/power_supply/psch_l04.06', 'L04', 'CH'),
('l04/power_supply/psch_l04.07', 'L04', 'CH'),
('l04/power_supply/pscv_l04.01', 'L04', 'CV'),
('l04/power_supply/pscv_l04.02', 'L04', 'CV'),
('l04/power_supply/pscv_l04.03', 'L04', 'CV'),
('l04/power_supply/pscv_l04.04', 'L04', 'CV'),
('l04/power_supply/pscv_l04.05', 'L04', 'CV'),
('l04/power_supply/pscv_l04.06', 'L04', 'CV'),
('l04/power_supply/pscv_l04.07', 'L04', 'CV'),
('l04/power_supply/psq_l04.01', 'L04', 'Q'),
('l04/power_supply/psq_l04.02', 'L04', 'Q'),
('l04/power_supply/psq_l04.03', 'L04', 'Q'),
('l04/power_supply/psq_l04.04', 'L04', 'Q'),
('l04/power_supply/psq_l04.05', 'L04', 'Q'),
('l04/power_supply/psq_l04.06', 'L04', 'Q'),
('l04/power_supply/psq_l04.07', 'L04', 'Q'),
('tls/power_supply/psch_tls.01', 'TLS', 'CH'),
('tls/power_supply/psch_tls.02', 'TLS', 'CH'),
('tls/power_supply/psch_tls.03', 'TLS', 'CH'),
('tls/power_supply/pscv_tls.01', 'TLS', 'CV'),
('tls/power_supply/pscv_tls.02', 'TLS', 'CV'),
('tls/power_supply/pscv_tls.03', 'TLS', 'CV'),
('tls/power_supply/psq_tls.01', 'TLS', 'Q'),
('tls/power_supply/psq_tls.02', 'TLS', 'Q'),
('tls/power_supply/psq_tls.03', 'TLS', 'Q'),
('tls/power_supply/psq_tls.04', 'TLS', 'Q'),
('tls/power_supply/psq_tls.05', 'TLS', 'Q'),
('tls/power_supply/psq_tls.06', 'TLS', 'Q'),
('tls/power_supply/psq_tls.07', 'TLS', 'Q'),
('dbd/power_supply/psb_dbd.01', 'DBD', 'B'),
('dbd/power_supply/pstrmcb_dbd.01', 'DBD', 'TRMCB'),
('dbd/power_supply/psch_dbd.01', 'DBD', 'CH'),
('dbd/power_supply/pscv_dbd.01', 'DBD', 'CV'),
('dbd/power_supply/psq_dbd.01', 'DBD', 'Q'),
('dbd/power_supply/psq_dbd.02', 'DBD', 'Q'),
('dbd/power_supply/psq_dbd.03', 'DBD', 'Q'),
('dbd/power_supply/psq_dbd.04', 'DBD', 'Q'),
('dbd/power_supply/psq_dbd.05', 'DBD', 'Q'),
('scl/power_supply/psb_scl.01', 'SCL', 'B'),
('scl/power_supply/psch_scl.01', 'SCL', 'CH'),
('scl/power_supply/psch_scl.02', 'SCL', 'CH'),
('scl/power_supply/psch_scl.03', 'SCL', 'CH'),
('scl/power_supply/pscv_scl.01', 'SCL', 'CV'),
('scl/power_supply/pscv_scl.02', 'SCL', 'CV'),
('scl/power_supply/pscv_scl.03', 'SCL', 'CV'),
('scl/power_supply/psq_scl.01', 'SCL', 'Q'),
('scl/power_supply/psq_scl.02', 'SCL', 'Q'),
('scl/power_supply/psq_scl.03', 'SCL', 'Q'),
('scl/power_supply/psq_scl.04', 'SCL', 'Q'),
('scl/power_supply/psq_scl.05', 'SCL', 'Q'),
('scl/power_supply/psq_scl.06', 'SCL', 'Q'),
('scl/power_supply/psq_scl.07', 'SCL', 'Q'),
('scl/power_supply/psq_scl.08', 'SCL', 'Q'),
('scl/power_supply/psq_scl.09', 'SCL', 'Q'),
('sfel01/power_supply/psch_sfel01.01', 'SFEL01', 'CH'),
('sfel01/power_supply/psch_sfel01.02', 'SFEL01', 'CH'),
('sfel01/power_supply/psch_sfel01.03', 'SFEL01', 'CH'),
('sfel01/power_supply/psch_sfel01.04', 'SFEL01', 'CH'),
('sfel01/power_supply/psch_sfel01.05', 'SFEL01', 'CH'),
('sfel01/power_supply/psch_sfel01.06', 'SFEL01', 'CH'),
('sfel01/power_supply/pscv_sfel01.01', 'SFEL01', 'CV'),
('sfel01/power_supply/pscv_sfel01.02', 'SFEL01', 'CV'),
('sfel01/power_supply/pscv_sfel01.03', 'SFEL01', 'CV'),
('sfel01/power_supply/pscv_sfel01.04', 'SFEL01', 'CV'),
('sfel01/power_supply/pscv_sfel01.05', 'SFEL01', 'CV'),
('sfel01/power_supply/pscv_sfel01.06', 'SFEL01', 'CV'),
('sfel01/power_supply/psq_sfel01.01', 'SFEL01', 'Q'),
('sfel01/power_supply/psq_sfel01.02', 'SFEL01', 'Q'),
('sfel01/power_supply/psq_sfel01.03', 'SFEL01', 'Q'),
('sfel01/power_supply/psq_sfel01.04', 'SFEL01', 'Q'),
('sfel01/power_supply/psq_sfel01.05', 'SFEL01', 'Q'),
('sfel01/power_supply/psq_sfel01.06', 'SFEL01', 'Q'),
('sfel01/power_supply/psq_sfel01.07', 'SFEL01', 'Q'),
('sfel01/power_supply/psq_sfel01.08', 'SFEL01', 'Q'),
('sfel01/power_supply/psq_sfel01.09', 'SFEL01', 'Q'),
('sfel01/power_supply/psq_sfel01.10', 'SFEL01', 'Q'),
('sfel01/power_supply/psq_sfel01.11', 'SFEL01', 'Q'),
('fel01/power_supply/psch_fel01.01', 'FEL01', 'CH'),
('fel01/power_supply/pscv_fel01.01', 'FEL01', 'CV'),
('fel01/power_supply/pscid_fel01.01', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.02', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.03', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.04', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.05', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.06', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.07', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.08', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.09', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.10', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.11', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.12', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.13', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.14', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.15', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.16', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.17', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.18', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.19', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.20', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.21', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.22', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.23', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.24', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.25', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.26', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.27', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.28', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.29', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.30', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.31', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.32', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.33', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.34', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.35', 'FEL01', 'PSCID'),
('fel01/power_supply/pscid_fel01.36', 'FEL01', 'PSCID'),
('fel01/power_supply/psq_fel01.01', 'FEL01', 'Q'),
('fel01/power_supply/psw_fel01.01', 'FEL01', 'B'),
('fel01/power_supply/pstrmcw_fel01.01', 'FEL01', 'TRMCB'),
('fel01/power_supply/pstrmcw_fel01.02', 'FEL01', 'TRMCB'),
('fel01/insertion_device/id_fel01.01/Gap', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.02/Gap', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.03/Gap', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.04/Gap', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.05/Gap', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.06/Gap', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.07/Gap', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.01/Phase', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.02/Phase', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.03/Phase', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.04/Phase', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.05/Phase', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.06/Phase', 'FEL01', 'ID'),
('fel01/insertion_device/id_fel01.07/Phase', 'FEL01', 'ID'),
('iufel01/power_supply/psch_iufel01.01', 'IUFEL01', 'CH'),
('iufel01/power_supply/psch_iufel01.02', 'IUFEL01', 'CH'),
('iufel01/power_supply/psch_iufel01.03', 'IUFEL01', 'CH'),
('iufel01/power_supply/psch_iufel01.04', 'IUFEL01', 'CH'),
('iufel01/power_supply/psch_iufel01.05', 'IUFEL01', 'CH'),
('iufel01/power_supply/psch_iufel01.06', 'IUFEL01', 'CH'),
('iufel01/power_supply/psch_iufel01.07', 'IUFEL01', 'CH'),
('iufel01/power_supply/psch_iufel01.08', 'IUFEL01', 'CH'),
('iufel01/power_supply/pscv_iufel01.01', 'IUFEL01', 'CV'),
('iufel01/power_supply/pscv_iufel01.02', 'IUFEL01', 'CV'),
('iufel01/power_supply/pscv_iufel01.03', 'IUFEL01', 'CV'),
('iufel01/power_supply/pscv_iufel01.04', 'IUFEL01', 'CV'),
('iufel01/power_supply/pscv_iufel01.05', 'IUFEL01', 'CV'),
('iufel01/power_supply/pscv_iufel01.06', 'IUFEL01', 'CV'),
('iufel01/power_supply/pscv_iufel01.07', 'IUFEL01', 'CV'),
('iufel01/power_supply/pscv_iufel01.08', 'IUFEL01', 'CV'),
('iufel01/power_supply/psq_iufel01.01', 'IUFEL01', 'Q'),
('iufel01/power_supply/psq_iufel01.02', 'IUFEL01', 'Q'),
('iufel01/power_supply/psq_iufel01.03', 'IUFEL01', 'Q'),
('iufel01/power_supply/psq_iufel01.04', 'IUFEL01', 'Q'),
('iufel01/power_supply/psq_iufel01.05', 'IUFEL01', 'Q'),
('iufel01/power_supply/psq_iufel01.06', 'IUFEL01', 'Q'),
('iufel01/power_supply/psq_iufel01.07', 'IUFEL01', 'Q'),
('iufel01/power_supply/psq_iufel01.08', 'IUFEL01', 'Q'),
('iufel01/phsh/phsh_iufel01.01/AxisCurrentPosition', 'IUFEL01', 'PHSH'),
('iufel01/phsh/phsh_iufel01.02/AxisCurrentPosition', 'IUFEL01', 'PHSH'),
('iufel01/phsh/phsh_iufel01.03/AxisCurrentPosition', 'IUFEL01', 'PHSH'),
('iufel01/phsh/phsh_iufel01.04/AxisCurrentPosition', 'IUFEL01', 'PHSH'),
('iufel01/phsh/phsh_iufel01.05/AxisCurrentPosition', 'IUFEL01', 'PHSH'),
('sfel02/power_supply/psb_sfel02.01', 'SFEL02', 'B'),
('sfel02/power_supply/psch_sfel02.01', 'SFEL02', 'CH'),
('sfel02/power_supply/psch_sfel02.02', 'SFEL02', 'CH'),
('sfel02/power_supply/psch_sfel02.03', 'SFEL02', 'CH'),
('sfel02/power_supply/psch_sfel02.04', 'SFEL02', 'CH'),
('sfel02/power_supply/pscv_sfel02.01', 'SFEL02', 'CV'),
('sfel02/power_supply/pscv_sfel02.02', 'SFEL02', 'CV'),
('sfel02/power_supply/pscv_sfel02.03', 'SFEL02', 'CV'),
('sfel02/power_supply/pscv_sfel02.04', 'SFEL02', 'CV'),
('sfel02/power_supply/psq_sfel02.01', 'SFEL02', 'Q'),
('sfel02/power_supply/psq_sfel02.02', 'SFEL02', 'Q'),
('sfel02/power_supply/psq_sfel02.03', 'SFEL02', 'Q'),
('sfel02/power_supply/psq_sfel02.04', 'SFEL02', 'Q'),
('sfel02/power_supply/psq_sfel02.05', 'SFEL02', 'Q'),
('sfel02/power_supply/psq_sfel02.06', 'SFEL02', 'Q'),
('sfel02/power_supply/psq_sfel02.07', 'SFEL02', 'Q'),
('sfel02/power_supply/psq_sfel02.08', 'SFEL02', 'Q'),
('fel02/power_supply/psb_fel02.01', 'FEL02', 'B'),
('fel02/power_supply/psch_fel02.01', 'FEL02', 'CH'),
('fel02/power_supply/psch_fel02.02', 'FEL02', 'CH'),
('fel02/power_supply/psch_fel02.03', 'FEL02', 'CH'),
('fel02/power_supply/psch_fel02.04', 'FEL02', 'CH'),
('fel02/power_supply/pscv_fel02.01', 'FEL02', 'CV'),
('fel02/power_supply/pscv_fel02.02', 'FEL02', 'CV'),
('fel02/power_supply/pscv_fel02.03', 'FEL02', 'CV'),
('fel02/power_supply/pscv_fel02.04', 'FEL02', 'CV'),
('fel02/power_supply/psq_fel02.01', 'FEL02', 'Q'),
('fel02/power_supply/psq_fel02.02', 'FEL02', 'Q'),
('fel02/power_supply/psq_fel02.03', 'FEL02', 'Q'),
('fel02/power_supply/psq_fel02.04', 'FEL02', 'Q'),
('fel02/power_supply/pscid_fel02.01', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.02', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.03', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.04', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.05', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.06', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.07', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.08', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.09', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.10', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.11', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.12', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.13', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.14', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.15', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.16', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.17', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.18', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.19', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.20', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.21', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.22', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.23', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.24', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.25', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.26', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.27', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.28', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.29', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.30', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.31', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.32', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.33', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.34', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.35', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.36', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.37', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.38', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.39', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.40', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.41', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.42', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.43', 'FEL02', 'ID'),
('fel02/power_supply/pscid_fel02.44', 'FEL02', 'ID'),
('fel02/power_supply/pstrmcw_fel02.01', 'FEL02', 'TRMCW'),
('fel02/power_supply/pstrmcw_fel02.02', 'FEL02', 'TRMCW'),
('fel02/power_supply/pstrmcw_fel02.03', 'FEL02', 'TRMCW'),
('fel02/power_supply/pstrmcw_fel02.04', 'FEL02', 'TRMCW'),
('fel02/power_supply/pstrmcb_fel02.01', 'FEL02', 'TRMCB'),
('fel02/power_supply/pstrmcb_fel02.02', 'FEL02', 'TRMCB'),
('fel02/power_supply/pstrmcb_fel02.03', 'FEL02', 'TRMCB'),
('fel02/power_supply/pstrmcb_fel02.04', 'FEL02', 'TRMCB'),
('fel02/power_supply/psw_fel02.01', 'FEL02', 'W'),
('fel02/power_supply/psw_fel02.02', 'FEL02', 'W'),
('iufel02/power_supply/psch_iufel02.01', 'IUFEL02', 'CH'),
('iufel02/power_supply/psch_iufel02.02', 'IUFEL02', 'CH'),
('iufel02/power_supply/psch_iufel02.03', 'IUFEL02', 'CH'),
('iufel02/power_supply/psch_iufel02.04', 'IUFEL02', 'CH'),
('iufel02/power_supply/psch_iufel02.05', 'IUFEL02', 'CH'),
('iufel02/power_supply/psch_iufel02.06', 'IUFEL02', 'CH'),
('iufel02/power_supply/psch_iufel02.07', 'IUFEL02', 'CH'),
('iufel02/power_supply/psch_iufel02.08', 'IUFEL02', 'CH'),
('iufel02/power_supply/psch_iufel02.09', 'IUFEL02', 'CH'),
('iufel02/power_supply/psch_iufel02.10', 'IUFEL02', 'CH'),
('iufel02/power_supply/pscv_iufel02.01', 'IUFEL02', 'CV'),
('iufel02/power_supply/pscv_iufel02.02', 'IUFEL02', 'CV'),
('iufel02/power_supply/pscv_iufel02.03', 'IUFEL02', 'CV'),
('iufel02/power_supply/pscv_iufel02.04', 'IUFEL02', 'CV'),
('iufel02/power_supply/pscv_iufel02.05', 'IUFEL02', 'CV'),
('iufel02/power_supply/pscv_iufel02.06', 'IUFEL02', 'CV'),
('iufel02/power_supply/pscv_iufel02.07', 'IUFEL02', 'CV'),
('iufel02/power_supply/pscv_iufel02.08', 'IUFEL02', 'CV'),
('iufel02/power_supply/pscv_iufel02.09', 'IUFEL02', 'CV'),
('iufel02/power_supply/pscv_iufel02.10', 'IUFEL02', 'CV'),
('iufel02/power_supply/psq_iufel02.01', 'IUFEL02', 'Q'),
('iufel02/power_supply/psq_iufel02.02', 'IUFEL02', 'Q'),
('iufel02/power_supply/psq_iufel02.03', 'IUFEL02', 'Q'),
('iufel02/power_supply/psq_iufel02.04', 'IUFEL02', 'Q'),
('iufel02/power_supply/psq_iufel02.05', 'IUFEL02', 'Q'),
('iufel02/power_supply/psq_iufel02.06', 'IUFEL02', 'Q'),
('iufel02/power_supply/psq_iufel02.07', 'IUFEL02', 'Q'),
('iufel02/power_supply/psq_iufel02.08', 'IUFEL02', 'Q'),
('iufel02/power_supply/psq_iufel02.09', 'IUFEL02', 'Q'),
('iufel02/power_supply/psq_iufel02.10', 'IUFEL02', 'Q'),
('mbd_fel01/power_supply/psb_mbd_fel01.01', 'MBD_FEL01', 'B'),
('mbd_fel01/power_supply/psch_mbd_fel01.01', 'MBD_FEL01', 'CH'),
('mbd_fel01/power_supply/psch_mbd_fel01.02', 'MBD_FEL01', 'CH'),
('mbd_fel01/power_supply/psch_mbd_fel01.03', 'MBD_FEL01', 'CH'),
('mbd_fel01/power_supply/psch_mbd_fel01.04', 'MBD_FEL01', 'CH'),
('mbd_fel01/power_supply/pscv_mbd_fel01.01', 'MBD_FEL01', 'CV'),
('mbd_fel01/power_supply/pscv_mbd_fel01.02', 'MBD_FEL01', 'CV'),
('mbd_fel01/power_supply/pscv_mbd_fel01.03', 'MBD_FEL01', 'CV'),
('mbd_fel01/power_supply/pscv_mbd_fel01.04', 'MBD_FEL01', 'CV'),
('mbd_fel01/power_supply/psq_mbd_fel01.01', 'MBD_FEL01', 'Q'),
('mbd_fel01/power_supply/psq_mbd_fel01.02', 'MBD_FEL01', 'Q'),
('mbd_fel01/power_supply/psq_mbd_fel01.03', 'MBD_FEL01', 'Q'),
('mbd_fel01/power_supply/psq_mbd_fel01.04', 'MBD_FEL01', 'Q'),
('mbd_fel01/power_supply/psq_mbd_fel01.05', 'MBD_FEL01', 'Q'),
('mbd_fel01/power_supply/psq_mbd_fel01.06', 'MBD_FEL01', 'Q'),
('mbd/power_supply/psb_mbd.01', 'MBD', 'B'),
('mbd/power_supply/psch_mbd.01', 'MBD', 'CH'),
('mbd/power_supply/pscv_mbd.01', 'MBD', 'CV'),
('mbd/power_supply/psq_mbd.01', 'MBD', 'Q'),
('mbd/power_supply/psq_mbd.02', 'MBD', 'Q'),
('mbd/power_supply/psq_mbd.03', 'MBD', 'Q'),
('mbd/power_supply/psq_mbd.04', 'MBD', 'Q');

INSERT INTO selection VALUES 
	(45,'INJ','CH'),(45,'INJ','CV'),(45,'INJ','SOL'),
	(45,'SPINJ','B'),(45,'SPINJ','Q'),(45,'SPINJ','TRMCQ'),
	(45,'L00','CH'),(45,'L00','CV'),(45,'L00','Q'),
	(45,'LH', 'ID'),(45,'LH', 'PSCID'),(45,'LH', 'B'),(45,'LH', 'CH'),(45,'LH', 'CV'),(45,'LH', 'Q'),
	(45,'SPLH', 'B'),(45,'SPLH', 'TRMCB'),
	(45,'L01','CH'),(45,'L01','CV'),(45,'L01','Q'),
	(45,'BC01','CH'),(45,'BC01','CV'),(45,'BC01','Q'),
	(45,'SPBC01','B'),(45,'SPBC01','TRMCB'),(45,'SPBC01','Q'),
	(45,'L02','CH'),(45,'L02','CV'),(45,'L02','Q'),
	(45,'L03','CH'),(45,'L03','Q'),
	(45,'BC02','CH'),(45,'BC02','CV'),(45,'BC02','Q'),(45,'BC02','TRMCB'),(45,'BC02','B'),
	(45,'L04','CH'),(45,'L04','CV'),(45,'L04','Q'),
	(45,'TLS','CH'),(45,'TLS','CV'),(45,'TLS','Q'),
	(45,'DBD','CH'),(45,'DBD','CV'),(45,'DBD','Q'),(45,'DBD','TRMCB'),
	(45,'SCL','CH'),(45,'SCL','CV'),(45,'SCL','Q'),(45,'SCL','B'),
	(45,'SFEL01','CH'),(45,'SFEL01','CV'),(45,'SFEL01','Q'),
	(45,'FEL01','CH'),(45,'FEL01','CV'),(45,'SFEL01','PSCID'),(45,'FEL01','Q'),(45,'SFEL01','B'),(45,'SFEL01','TRMCB'),(45,'SFEL01','ID'),
	(45,'IUFEL01','CH'),(45,'IUFEL01','CV'),(45,'IUFEL01','Q'),(45,'IUFEL01','PHSH'),
	(45,'SFEL02','CH'),(45,'SFEL02','CV'),(45,'SFEL02','Q'),(45,'SFEL02','B'),
	(45,'FEL02','CH'),(45,'FEL02','CV'),(45,'FEL02','Q'),(45,'FEL02','B'),(45,'FEL02','TRMCW'),(45,'FEL02','TRMCB'),(45,'FEL02','W'),(45,'FEL02','ID'),
	(45,'IUFEL02','CH'),(45,'IUFEL02','CV'),(45,'IUFEL02','Q'),
	(45,'MBD_FEL01','CH'),(45,'MBD_FEL01','CV'),(45,'MBD_FEL01','Q'),(45,'MBD_FEL01','B'),
	(45,'MBD','CH'),(45,'MBD','CV'),(45,'MBD','Q'),(45,'MBD','B');
	
INSERT INTO section_order VALUES 
	('INJ', 10),('SPINJ',20),('L00',30),('LH',40),('SPLH',50),
	('L01',60),('BC01',70),('SPBC01',80),('L02',90),('L03',100),('BC02',110),('L04',120),('TLS',130),('DBD',140),
	('SCL',150),('SFEL01',160),('FEL01',170),('IUFEL01',180),('SFEL02',190),('FEL02',200),('IUFEL02',230),('MBD_FEL01',350),('MBD',400);


INSERT INTO type_order VALUES ('CH', 10),('CV',20),('B',30),('Q',40),('PSCID',50),('ID',60),('TRMCB',70),('TRMCQ',80),('TRMCW',90),('SOL',110),('W',150);
