#ifndef ATTINFO_H
#define ATTINFO_H

#include <QString>
#include <tango.h>

class AttInfo
{
public:
    AttInfo();

    enum Type { Im1 = 1, Im2, scNum1, scNum2, scStr1, scStr2, sp1, sp2, Invalid };

    static Type getType(Tango::CmdArgType type, Tango::AttrDataFormat df, Tango::AttrWriteType wri);

    QString name;
    int id;

    QString writeType() const;
    QString dataFormat() const;
    QString attrDataType() const;

    void setWriteType(Tango::AttrWriteType writ) { writable = writ; }
    void setDataFormat(Tango::AttrDataFormat fmat) { format = fmat; }
    void setAttrDataType(Tango::CmdArgType adt) { dataType = adt; }

    Tango::AttrWriteType writable;
    Tango::AttrDataFormat format;
    Tango::CmdArgType dataType;
};

#endif // ATTINFO_H
