#ifndef DEVICESELECTIONQUERY_H
#define DEVICESELECTIONQUERY_H

#include <DbQueryInterface>
#include <QStringList>
#include <QString>

class DeviceSelectionQuery : public DbQueryInterface
{
    Q_OBJECT
public:
    explicit DeviceSelectionQuery(QObject *parent = 0);

    virtual void notify(const QSqlQuery&, const int eventId);

    virtual void execute(int id = -1);

    virtual QString query(int id) const;

signals:
    void deviceAvailable(const QString& section, const QString& type, const QString& source);

    void dataLoaded();

public slots:

};

#endif // SELECTIONTYPEQUERY_H
