#include <TUniqueApplication>
#include "saverestore.h"
#include <elettracolors.h>

#define CVSVERSION "$Name:  $"

int main(int argc, char *argv[])
{
    TApplication a(argc, argv);
    a.setPalette(EPalette("fermi"));
    a.setOrganizationName("Elettra");
    a.setApplicationName("SaveRestore");
    QString version(CVSVERSION);
    a.setApplicationVersion(version);
    a.setProperty("author", "Giacomo");
    a.setProperty("mail", "giacomo.strangolino@elettra.trieste.it");
    a.setProperty("phone", "375-8073");
    a.setProperty("office", "T2PT025");
    a.setProperty("hwReferent", "Nobody");

    SaveRestore w;
    w.show();

    return a.exec();
}
