#include "progressbar.h"
#include <QLabel>
#include <macros.h>

ProgressBar::ProgressBar(QWidget *parent) :
    QProgressBar(parent)
{
    setHidden(true);
}

void ProgressBar::setPBValue(int value, int max)
{
    setVisible(value < max);
    if(value < max)
    {
        setMaximum(max);
        setValue(value);
    }
}

