#ifndef SETTINGS_H
#define SETTINGS_H

#include <DbConnectionParams>
#include <hdbxsettings.h>

class Settings
{
public:
    Settings();

    DbConnectionParams dbConnectionParams(bool snap) const;

    bool sectionSortingForContext(int snapId) const;

    void setSectionSortingForContext(int snapId, bool enable);

    QString diarySource() const;

    /* for hdb extractor */
    HdbXSettings *getHdbXSettings() const;
};

#endif // SETTINGS_H
