#ifndef SNAPINFOVIEWDBHELPER_H
#define SNAPINFOVIEWDBHELPER_H

#include <QObject>
#include <QList>
#include "attdata.h"

class AttributeDataTreeView;
class SnapDb;

class SnapInfoViewDbHelper : public QObject
{
    Q_OBJECT
public:
    explicit SnapInfoViewDbHelper(AttributeDataTreeView *sitw, SnapDb* snapDb);

signals:
    void attValueListReady(const QList<AttData>&, AttInfo::Type);

public slots:
    void getAttributeValuesForSnap(int snapId);

private:
    AttributeDataTreeView *m_treeView;
    SnapDb *m_snapDb;

};

#endif // SNAPINFOVIEWDBHELPER_H
