#ifndef SNAPSHOTLISTCONTAINER_H
#define SNAPSHOTLISTCONTAINER_H

#include <QWidget>

class SnapshotView;
class QPushButton;
class QLineEdit;

namespace Ui {
class SnapshotListContainer;
}

class SnapshotListContainer : public QWidget
{
    Q_OBJECT

public:
    explicit SnapshotListContainer(QWidget *parent = 0);
    ~SnapshotListContainer();

    SnapshotView *snapshotView() const;
    QPushButton * buttonSave() const;
    QLineEdit *lineEditSaveComment() const;
    QPushButton *buttonDiff() const;

private:
    Ui::SnapshotListContainer *ui;
};

#endif // SNAPSHOTLISTCONTAINER_H
