#include "xevents.h"
#include <QtDebug>

NewXDataEvent::NewXDataEvent(const QList<AttData> &dataList, AttInfo::Type t)
    : QEvent((QEvent::Type ) (QEvent::User + 1))
{
    data = dataList;
    type = t;
}

NewXDataEvent::~NewXDataEvent()
{
    qDebug() << __FUNCTION__ ;
}


XErrorEvent::XErrorEvent(const QStringList &messages) : QEvent((QEvent::Type )(QEvent::User + 2))
{
    errors = messages;
}

XErrorEvent::~XErrorEvent()
{
    qDebug() << __FUNCTION__ ;
}

ProgressEvent::ProgressEvent(int ste, int tota) : QEvent((QEvent::Type )( QEvent::User + 3))
{
    step = ste;
    total = tota;
}

