#include "groupboxbackintime.h"
#include "ui_groupboxbackintime.h"
#include <QtDebug>

class QDateTimeEdit;

GroupBoxBackInTime::GroupBoxBackInTime(QWidget *parent) :
    QGroupBox(parent),
    ui(new Ui::GroupBoxBackInTime)
{
    qDebug() << __FUNCTION__ ;
    ui->setupUi(this);
    setMaximumHeight(minimumSizeHint().height());
    connect(ui->pbSelectFromDiary, SIGNAL(clicked()), this, SIGNAL(selectFromDiaryClicked()));

}

GroupBoxBackInTime::~GroupBoxBackInTime()
{
    qDebug() << __FUNCTION__ ;
    delete ui;
}

QDateTimeEdit *GroupBoxBackInTime::dateTimeEdit() const { return ui->dte; }

QPushButton *GroupBoxBackInTime::buttonFetchData() const { return ui->pushFetch; }

QPushButton *GroupBoxBackInTime::buttonSelectFromDiary() const
{
    return ui->pbSelectFromDiary;
}

void GroupBoxBackInTime::setDateTime(const QDateTime &dt)
{
    ui->dte->setDateTime(dt);
}


