#ifndef TIMEMACHINEATTRIBUTEDATATREEVIEW_H
#define TIMEMACHINEATTRIBUTEDATATREEVIEW_H

#include "../attributedatatreeview.h"

class TimeMachineAttributeDataTreeView : public AttributeDataTreeView
{
    Q_OBJECT
public:
    TimeMachineAttributeDataTreeView(QWidget *parent);

    virtual QList<QVariant>  getHeaderData();

    virtual int getRestoreColumnIndex() const;

    virtual int getColumnIndex(Columns c) const;

    virtual void init();

    virtual Mode getMode() const;

    void prepareForAttributeValuesQuery();

    int findRow(const QString& attName);

public slots:

    void update(const QList<AttData>&values, AttInfo::Type type);
};

#endif // TIMEMACHINEATTRIBUTEDATATREEVIEW_H
